Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.olafpanz.translationtable
Class TranslationTableParameters

    java.lang.Object
      de.olafpanz.translationtable.TranslationTableParameters

    public class TranslationTableParameters

extends java.lang.Object

Handles parameters for translation table code generator. Handles also default values.

Author:
  Olaf Panz

Nested Class Summary
`private static class` | `TranslationTableParameters.DefaultFlags` Flags that describes currently set default values

Field Summary
`private java.util.Set<TranslationTableParameters.DefaultFlags>` | `defaults` Marks values that have currently the default value.
`private Environment` | `env` Environment to generate for.
`private java.io.File` | `file` Name of ods or xml source-file to process.
`private JDKDefine` | `jdk` JDK to generate for.
`private java.io.File` | `rcpPluginRoot` Root of rcp plugin, used to write eclipse-rcp translations
`private java.io.File` | `sourceRoot` Root of source code that should be generated.

Constructor Summary
`TranslationTableParameters()` Create class with defaults.
`TranslationTableParameters(Environment env, JDKDefine jdk, java.io.File ods, java.io.File rcpPluginRoot, java.io.File sourceRoot)` Init with all parameters.

Method Summary
`Environment` | `getEnvironment()`
`java.io.File` | `getFile()`
`JDKDefine` | `getJdk()`
`java.io.File` | `getRcpPluginRoot()`
`java.io.File` | `getSourceRoot()`
`java.lang.String` | `isComplete()` Check, if all parameters are set
`void` | `setDefault()` Set default values for all parameters
`private void` | `setDefaultRcpPluginRoot(java.io.File rcpPluginRoot)` Set the default rcp plugin path, call will not change defaults-flags
`private void` | `setDefaultSourceRoot(java.io.File rcpPluginRoot)` Set default source root from given plugin root.
`void` | `setEnvironment(Environment env)`
`void` | `setJdk(JDKDefine jdk)`
`void` | `setOds(java.io.File file)`
`void` | `setRcpPluginRoot(java.io.File rcpPluginRoot)`
`void` | `setSourceRoot(java.io.File sourceRoot)`
`void` | `setXml(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaults

    private final java.util.Set<TranslationTableParameters.DefaultFlags> defaults

  Marks values that have currently the default value.

### sourceRoot

    private java.io.File sourceRoot

  Root of source code that should be generated.

### rcpPluginRoot

    private java.io.File rcpPluginRoot

  Root of rcp plugin, used to write eclipse-rcp translations

### file

    private java.io.File file

  Name of ods or xml source-file to process.

### jdk

    private JDKDefine jdk

  JDK to generate for.

### env

    private Environment env

  Environment to generate for.

Constructor Detail

### TranslationTableParameters

    public TranslationTableParameters()

  Create class with defaults.

### TranslationTableParameters

    public TranslationTableParameters(Environment env,
                                      JDKDefine jdk,
                                      java.io.File ods,
                                      java.io.File rcpPluginRoot,
                                      java.io.File sourceRoot)

  Init with all parameters.

  Parameters:
    `env` - Environment to generate for.
    `jdk` - JDK to generate for.
    `ods` - Name of ods file to process.
    `rcpPluginRoot` - Root of rcp plugin, used to write eclipse-rcp translations
    `sourceRoot` - Root of source code that should be generated.

Method Detail

### isComplete

    public java.lang.String isComplete()

  Check, if all parameters are set

  Returns:
    Error message on error.

### setDefault

    public void setDefault()

  Set default values for all parameters

### getSourceRoot

    public java.io.File getSourceRoot()

  Returns:
    Root of source code that should be generated.

### setSourceRoot

    public void setSourceRoot(java.io.File sourceRoot)

  Parameters:
    `sourceRoot` - Root of source code that should be generated.

### getRcpPluginRoot

    public java.io.File getRcpPluginRoot()

  Returns:
    Root of rcp plugin, used to write eclipse-rcp translations

### setRcpPluginRoot

    public void setRcpPluginRoot(java.io.File rcpPluginRoot)

  Parameters:
    `rcpPluginRoot` - Root of rcp plugin, used to write eclipse-rcp translations

### setDefaultRcpPluginRoot

    private void setDefaultRcpPluginRoot(java.io.File rcpPluginRoot)

  Set the default rcp plugin path, call will not change defaults-flags

  Parameters:
    `rcpPluginRoot` - Null is not allowed.

### setDefaultSourceRoot

    private void setDefaultSourceRoot(java.io.File rcpPluginRoot)

  Set default source root from given plugin root. Is only set, if source-root has still a default value

  Parameters:
    `rcpPluginRoot` - Null is not allowed.

### getFile

    public java.io.File getFile()

  Returns:
    Name of ods file to process.

### setXml

    public void setXml(java.io.File file)

  Parameters:
    `file` - Name of ods or xml file to process.

### setOds

    public void setOds(java.io.File file)

  Parameters:
    `file` - Name of ods or xml file to process.

### getJdk

    public JDKDefine getJdk()

  Returns:
    JDK to generate for.

### setJdk

    public void setJdk(JDKDefine jdk)

  Parameters:
    `jdk` - JDK to generate for.

### getEnvironment

    public Environment getEnvironment()

  Returns:
    Environment to generate for.

### setEnvironment

    public void setEnvironment(Environment env)

  Parameters:
    `env` - Environment to generate for.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD